[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| BSpline [Mathematical Functions] |

`#include <vigra/splines.hxx>`

Inheritance diagram for BSpline:

List of all members.

## Public Member Functions

| BSpline (unsigned int derivativeOrder=0)

## Detailed Description

### template<int ORDER, class T = double>
class vigra::BSpline< ORDER, T >

Spline functors for arbitrary orders.

Provides the interface of vigra::BSplineBase with a more convenient name -- see there for more documentation.

## Constructor & Destructor Documentation

BSpline | ( | unsigned int | derivativeOrder = `0` | ) | `[explicit]`

Constructor forwarded to the base class constructor..

The documentation for this class was generated from the following file:

- vigra/splines.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)